<?php
############################
#    DEV ENVIRONNEMENT     #
############################
define('DEBUG', true);
define('USER', 'server');

if ( preg_match('#/keliopanel/trunk/web/#', $_SERVER["REQUEST_URI"]) == 1 ) {
	define('PATH_PREFIX', '/Users/benjamin/Sites/keliopanel/trunk/');
	define('MYSQL_SERVER', 'localhost');
	define('MYSQL_DATABASE', 'keliopanel');
	define('MYSQL_USER', 'root');
	define('MYSQL_PASSWORD', 'root');
	define('TPL_HOST', 'http://localhost/keliopanel/trunk/web/');
} elseif ( preg_match('`admin.kelio.org.local`', $_SERVER['SERVER_NAME']) == 1 ) {
	define('PATH_PREFIX', '/home/benjamin/public_html/kp/');
	define('MYSQL_SERVER', 'localhost');
	define('MYSQL_DATABASE', 'keliopanel');
	define('MYSQL_USER', 'root');
	define('MYSQL_PASSWORD', 'delta12');
	define('TPL_HOST', 'http://admin.kelio.org.local/');
} 	elseif ( preg_match('`panel.local`', $_SERVER['SERVER_NAME']) == 1 ) {
		define('PATH_PREFIX', '/Users/Benjamin/Sites/keliopanel/trunk/');
		define('MYSQL_SERVER', 'localhost');
		define('MYSQL_DATABASE', 'keliopanel');
		define('MYSQL_USER', 'root');
		define('MYSQL_PASSWORD', 'root');
		define('TPL_HOST', 'http://panel.local/');
} elseif ( USER == 'vincent' ) {
} elseif ( USER == 'vincordi' ) {
	define('PATH_PREFIX', 'D:/Developpement/kelio/trunk/');
	define('MYSQL_SERVER', 'localhost');
	define('MYSQL_DATABASE', 'keliopanel');
	define('MYSQL_USER', 'root');
	define('MYSQL_PASSWORD', '');
    define('TPL_HOST', 'http://'.$_SERVER['HTTP_HOST'].'/kelio/web/');
} elseif ( USER == 'xavier' ) {
    define('PATH_PREFIX', 'w:/var/www/kpanel/');
	define('MYSQL_SERVER', 'localhost');
	define('MYSQL_DATABASE', 'keliopanel');
	define('MYSQL_USER', 'root');
	define('MYSQL_PASSWORD', 'usbw');
    define('TPL_HOST', 'http://'.$_SERVER['HTTP_HOST'].'/kpanel/web/');
} else {
	define('PATH_PREFIX', '/var/www/panel-public/');
	define('MYSQL_USER', 'keliopanel');
	define('MYSQL_PASSWORD', 'D44Z5cZfC');
	define('MYSQL_SERVER', 'localhost');
	define('MYSQL_DATABASE', 'keliopanel');
	define('TPL_HOST', 'http://dev.keliopanel.fr.nf/');
}
############################
# END OF DEV ENVIRONNEMENT #
############################

define('PATH_SYSTEM', PATH_PREFIX.'system/');
define('PATH_API', PATH_SYSTEM.'api/');
define('PATH_LANG', PATH_SYSTEM.'lang/');
define('PATH_BIN', PATH_SYSTEM.'bin/');
define('PATH_LOGS', PATH_PREFIX.'logs/');
define('PATH_WEB', PATH_PREFIX.'web/');
define('PATH_TPL', PATH_WEB.'themes/');
define('PATH_CACHE', PATH_PREFIX.'cache/');
define('PATH_LIB', PATH_SYSTEM.'libs/');

# Path of pages
define('PAGE_CRITICAL_ERROR', PATH_WEB.'critical_error.html');

# Lang
define('LANG_DEFAULT', 'fr');
define('LANG_ALLOWED', serialize(array('fr', 'en')));
define('LANG_USE_OTHERS', TRUE);

# Template
define('TEMPLATE_DEFAULT', 'underground');
define('TEMPLATE_ALLOWED', serialize(array('underground', 'kelio')));
define('TEMPLATE_USE_OTHERS', FALSE);

# Text of unlogeable error
define('NOLOG_ERROR', 'Erreur principale d\'exploitation, merci de contacter le support');

# Website info
define('WEBSITE_CHARSET', 'utf-8');
define('TIMEZONE', 'Europe/Paris');

# Account managing info 
define('LEVEL_REGISTER', 1);
define('LEVEL_CUSTOMER', 2);
define('LEVEL_MODERATOR', 3);
define('LEVEL_SUPPORT', 4);
define('LEVEL_ADMIN', 5);

# Pagination configuration
define('RECORD_BY_PAGE', 25);

# Service : Cronjob
define('CRON_MIN_TIME', 3600);
define('CRON_NO_SPECIFIED_TIME', 0);
define('CRON_TIMEOUT', 3);

# Service : Apache
define('APACHE_SERVER_ADMIN', 'webmaster@localhost');
# - Interpreter : PHP
define('PHP_CONF_FILE', '/etc/php5/apache2/php.ini');

?>
